From 8db9f8672a9216f02e8e599626121c0de5befd59 Mon Sep 17 00:00:00 2001
From: Nazir Bilal Yavuz <byavuz81@gmail.com>
Date: Mon, 28 Aug 2023 13:23:41 +0300
Subject: [PATCH v1] windows: Use the same Windows image on both VS and MinGW
 tasks

The VS and MinGW Windows images are merged now [1]. So, the old
pg-ci-windows-ci-vs-2019 and pg-ci-windows-ci-mingw64 images will not be
updated from now on. This new merged image (pg-ci-windows-ci) needs to
be used on both VS and MinGW tasks.

[1]: https://github.com/anarazel/pg-vm-images/commit/6747f676b97348d47f041b05aa9b36cde43c33fe
---
 .cirrus.tasks.yml | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

diff --git a/.cirrus.tasks.yml b/.cirrus.tasks.yml
index e137769850d..66aee48a5d3 100644
--- a/.cirrus.tasks.yml
+++ b/.cirrus.tasks.yml
@@ -514,6 +514,7 @@ WINDOWS_ENVIRONMENT_BASE: &WINDOWS_ENVIRONMENT_BASE
     PG_TEST_USE_UNIX_SOCKETS: 1
     PG_REGRESS_SOCK_DIR: "c:/cirrus/"
     DISK_SIZE: 50
+    IMAGE_FAMILY: pg-ci-windows-ci
 
   sysinfo_script: |
     chcp
@@ -537,7 +538,6 @@ task:
     # given that it explicitly prevents crash dumps from working...
     # 0x8001 is SEM_FAILCRITICALERRORS | SEM_NOOPENFILEERRORBOX
     CIRRUS_WINDOWS_ERROR_MODE: 0x8001
-    IMAGE_FAMILY: pg-ci-windows-ci-vs-2019
 
   <<: *windows_task_template
 
@@ -598,7 +598,6 @@ task:
     # Start bash in current working directory
     CHERE_INVOKING: 1
     BASH: C:\msys64\usr\bin\bash.exe -l
-    IMAGE_FAMILY: pg-ci-windows-ci-mingw64
 
   <<: *windows_task_template
 
-- 
2.40.1

